Current Dependencies

zznate edited this page Jan 27, 2011 · 1 revision

The hector-core module currently requires these dependencies

  • commons-lang-2.4.jar
  • commons-pool-1.5.3.jar
  • cassandra-all-0.7.0.jar
  • guava-r05.jar
  • commons-cli-1.1.jar
  • commons-codec-1.2.jar
  • commons-collections-3.2.1.jar
  • concurrentlinkedhashmap-lru-1.1.jar
  • jetty-6.1.21.jar
  • servlet-api-2.5-20081211.jar
  • jetty-util-6.1.21.jar
  • antlr-3.1.3.jar
  • antlr-runtime-3.1.3.jar
  • stringtemplate-3.2.jar
  • antlr-2.7.7.jar
  • jackson-core-asl-1.4.0.jar
  • jackson-mapper-asl-1.4.0.jar
  • jline-0.9.94.jar
  • json-simple-1.1.jar
  • snakeyaml-1.6.jar
  • jug-2.0.0-asl.jar
  • avro-1.4.0-cassandra-1.jar
  • libthrift-0.5.0.jar
  • high-scale-lib-1.1.1.jar
  • cassandra-javautils-0.7.0.jar
  • slf4j-api-1.6.1.jar
  • uuid-3.2.0.jar
  • perf4j-0.9.12.jar
  • osgi_R4_core-1.0.jar
  • osgi_R4_compendium-1.0.jar

Work to narrow down this list is ongoing. See the following issues for tracking: